Changelog between 1.0.27.1 and 1.0.28 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.27.1_v1.0.28)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-utils

  * Core
    Release v1.0.28
    alsactl: Do not run udev rule before datadir/sbindir are both mounted
    configure.ac: cosmetic change
    Modernize configure.ac
    configure.in -> configure.ac rename
    Makefiles - use AM_CPPFLAGS instead INCLUDES
    configure: add --with-lock-dir option
    configure: detect udevdir via pkg-config, fallback to /lib/udev/rules.d

  * /include/Makefile.am
    configure.in -> configure.ac rename

  * ALSA Control (alsactl)
    alsactl: Fixup test for mydatadir/sbindir
    alsactl: Do not run udev rule before datadir/sbindir are both mounted
    alsactl: add -L (no-lock) and change -D (lock-dir) to -O (state-lock-file)
    configure: add --with-lock-dir option
    alsactl: Store lockfile in /var/lock, add -D option to specify the lock dir
    alsa-restore.rules: refer to correct attr
    alsactl: Fix the va_list initialization in cerror_() and dbg_()
    alsactl: monitor all cards as default
    alsactl: Fix REMOVE event handling in monitor command
    alsactl: Add monitor command
    alsactl: alsa-state.service - fix typo (rkill -> kill)

  * ALSA RawMidi Utility (amidi)
    Makefiles - use AM_CPPFLAGS instead INCLUDES

  * Speaker Test
    speaker-test: update man page for new -X arg, also consistency fixes
    speaker-test: add --force-frequency option to allow hz outside range
    speaker-test: Show out-of-chmap channels as Unknown
    speaker-test: Always show chmap channel names if available
    speaker-test: Fix chmapped channel selection without specified chmap

  * aconnect
    fix aconnect -l option

  * alsaconf
    alsaconf: update gentoo to use modprobe.d method as everyone else
    alsaconf: support newer m-i-t and kmod

  * alsaloop
    Makefiles - use AM_CPPFLAGS instead INCLUDES
    alsaloop: pcmjob.c: use portable way to initialize recursive mutex
    alsaloop: add -z,--syslog option to use syslog for errors
    alsaloop: fix wrong alias for signal.h

  * alsamixer
    Makefiles - use AM_CPPFLAGS instead INCLUDES

  * alsaucm
    Makefiles - use AM_CPPFLAGS instead INCLUDES

  * amixer
    Makefiles - use AM_CPPFLAGS instead INCLUDES
    amixer: fix indentation when printing container TLV contents
    amixer: actually print all TLVs in a container TLV

  * aplay/arecord
    aplay: Fix VU-meter stdout/stderr mess
    aplay/arecord: Add more in_aborting checks to read/write loops
    aplay: fix timespec to msec conversion
    aplay: fix pcm_read() return value
    aplay: fix two off by one errors

  * gitcompile
    configure.in -> configure.ac rename

Changelog between 1.0.27 and 1.0.27.1 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.27_v1.0.27.1)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-utils

  + Core
    Release v1.0.27.2 
    Require alsa-lib 1.0.27. 

  + ALSA Control (alsactl)
    alsactl: return back the udevrules_DATA rule for 90-alsa-restore.rules 
    alsactl init: ca0106 file was omitted 

  + Speaker Test
    speaker-test: Fix wrong wave file played back in chmap setup 

  + amixer
    amixer: Print TLV of channel map controls 
    amixer: fix print_dB for -0.99 .. -0.01 range 
    amixer: Fix the hctl elem search bug 

Changelog between 1.0.27 and 1.0.27.1 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.27_v1.0.27.1)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-utils
  + Core
    Release v1.0.27.1
    Add AM_MAINTAINER_MODE([enable]) to configure.in.

  + ALSA Control (alsactl)
    alsactl: remove 90-alsa-restore.rules from the tar ball
    Fix a build failure due to a misused format string.
    alsactl: sprintf to snprintf prevent buffer overflow
    alsactl: Fix the string size for the lock file contents
    alsactl: Fix a typo in systemd alsa-restore.service

  + ALSA RawMidi Utility (amidi)
    Several formatting fixes for manpages.

  + Speaker Test
    Several formatting fixes for manpages.
    Fix several typos in manpage and help strings.

  + alsaloop
    Several formatting fixes for manpages.

  + amixer
    Several formatting fixes for manpages.

  + aplay/arecord
    Several formatting fixes for manpages.
    Fix several typos in manpage and help strings.
    arecord: add a missing break to the capture loop

  + aseqnet
    Fix several typos in manpage and help strings.

  + iecset
    Fix several typos in manpage and help strings.

Changelog between 1.0.26 and 1.0.27 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.26_v1.0.27)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-utils
  + Core
    Release v1.0.27
    alsactl: add --with-alsactl-daemonswitch=FILE to the global configure.in
    alsactl: move systemd config to the daemon mode
    configure: Fix obsolete AM_CONFIG_HEADER macro

  + ALSA Control (alsactl)
    alsactl: add --with-alsactl-daemonswitch=FILE to the global configure.in
    alsactl: revert back old systemd static units with the /etc/alsa/state-daemon.conf switch
    alsactl: add --nice and --sched-idle options
    alsactl: daemon mode - remove disconnected cards
    alsactl: move systemd config to the daemon mode
    alsactl: add event filter and cache for the daemon mode
    alsactl: Improved command line argument handling...
    alsactl: add the daemon mode
    alsactl: small code reorder to avoid memory leaks
    alsactl: safe state store and memory allocation cleanups

  + Speaker Test
    speaker-test: change the interrupt handling logic to follow aplay/arecord
    speaker-test: try to call snd_pcm_close() when a signal is received
    speaker-test: increase the maximum supported rate to 384000
    speaker-test: Update man page for chmap option
    speaker-test: Add support for channel mapping API

  + alsaloop
    alsaloop: Fix missing #endif
    alsaloop: Make alsaloop working without libsamplerate

  + alsamixer
    alsamixer: Use isatty() to check the terminal (interactive) availability
    alsamixer: fix handling of removed controls

  + amixer
    amixer: Use the alsa-lib functions for id print and parse and value parse
    amixer: Fix dB value outputs in amixer contents
    amixer: Fix parsing container TLV entries
    amixer: fix rounding of relative changes

  + aplay/arecord
    aplay/arecord: change the interrupt handling using snd_pcm_abort()
    aplay/arecord: added isatty() check (interactive mode)
    aplay: Add the support for big-endian WAV format (RIFX)
    aplay: Show usage if no parameter is passed
    aplay: fix typo & silence warning..
    aplay: More support for channel map option
    aplay: Add support for channel mapping

Changelog between 1.0.25 and 1.0.26 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.25_v1.0.26)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-utils
  + Core
    Release v1.0.26
    build: Don't call AC_CHECK_FUNC with --disable-alsatest
    configure.in: use AS_HELP_STRING everywhere
    configure.in: look for ncurses pkg-config first
    Trivial fixes in INSTALL file

  + ALSA Control (alsactl)
    alsactl: Add reference to alsactl_init(7) in alsactl man page
    alsactl: Read only *.conf files when a directory is passed via INCLUDE
    alsactl: Do not access other cards than specified for init

  + alsaloop
    alsaloop: fix the avail_min setup
    alsaloop: Improve xrun_sync - fill missing playback samples

  + alsamixer
    amixer, alsamixer: Add description of volume-mapping

  + amixer
    amixer, alsamixer: Add description of volume-mapping
    amixer: Add the support for mapped volumes like alsamixer

  + aplay/arecord
    aplay: Use open() instead of open64()
    aplay: Fix signal.h include
    aplay: print vu-meter to stderr, not stdout
    aplay/arecord: option to treat any xrun as fatal
    aplay - option to dump HW parameters
    Fix the examples in aplay.1

  + aseqnet
    aseqnet: Remove obsoleted .LO entry from man page

  + cvscompile
    Remove the cvscompile file

Changelog between 1.0.24 and 1.0.25 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.24_v1.0.25)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-utils
  +  Core
     Release v1.0.25
     alsactl: add support for recreating enumerated user controls
     fix use of $(SED)
     Updated COPYING with the recent FSF address
     Release v1.0.24.2
     Release v1.0.24.1

  +  ALSA Control (alsactl)
     Alsa-utils: Fix typo causing some volumes not to be initialized
     alsactl: Initialize Front Speaker, etc
     alsactl: add support for recreating enumerated user controls
     fix use of $(SED)
     Revert "alsactl - Display help for names command"
     alsactl init: Mute CD Playback volume by default

  +  Speaker Test
     speaker-test.1: Clarify man page by giving examples

  +  alsaconf
     fix use of $(SED)

  +  alsaloop
     alsaloop: Use AM_CFLAGS in Makefile.am
     alsaloop: another try to force correct formats for libsamplerate
     alsaloop: libsamplerate requires specific formats, force them for slave mode

  +  alsamixer
     alsamixer: Fix X-win related crash for PulseAudio plugin (bad linking)
     alsamixer: Fix 64bit issues
     alsamixer: fix build on uClibc
     alsamixer: fix display of active/inactive controls

  +  alsaucm
     alsaucm: Don't double-free empty lists
     alsaucm: Add list1 command for non-tuple lists
     alsaucm: do not bail out in the interactive mode upon error
     alsaucm: fix interactive mode, add batch mode
     alsaucm: fix list command and output

  +  amixer
     alsa-utils: amixer: Fix SND_CTL_TLVT_DB_RANGE handling

  +  aplay/arecord
     aplay: Fix spelling error
     aplay: increase channel limit to 256
     aplay: Use standard endian convesions
     aplay: Add include files for mkdir()
     aplay: Avoid recursive signal handling
     aplay: Add -i option for interactive mode

  +  aplaymidi/arecordmidi
     aplaymidi: clarify multi-port documentation

Changelog between 1.0.23 and 1.0.24 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.23_v1.0.24)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-utils
  +  Core
          Release v1.0.24
          configure.in: Fix xmlto detection
          alsactl: Add a --with-udev-rules-dir configure option.
          configure.in: Fix variable name
          alsactl: Move asound.state location to /var/lib/alsa
          alsactl: systemd and udev hookup
          Introduce alsaloop utility
          alsaucm: Add Use Case Manager utility
          Revert wrong parts of "alsactl: use snd_config_imake* functions"
          alsactl: use snd_config_imake* functions
  +  ALSA Control (alsactl)
          alsactl: Add a --with-udev-rules-dir configure option.
          alsactl: Move asound.state location to /var/lib/alsa
          alsactl: systemd and udev hookup
          alsactl init: Initialize also "Master Front Playback Volume" & "Switch"
          alsactl init: Handle "Capture Source" and "Mic Boost" in the default script
          alsactl: Change handling of inactive controls
          alsactl init: use "generic method" instead "guess method"
          alsactl init: Use "Found hardware:" instead "Unknown hardware:"
          Revert wrong parts of "alsactl: use snd_config_imake* functions"
          alsactl: change format of comment node in state file
          alsactl: correctly restore dB values of controls with changed range
          alsactl: remove open-coded search
          alsactl: move alloca out of loop
          alsactl: use snd_config_imake* functions
  +  Speaker Test
          speaker-test: Don't retry after fatal errors
          speaker-test: add test pattern for PCM layer debugging purposes
  +  aconnect
          Revert wrong parts of "alsactl: use snd_config_imake* functions"
          alsactl: use snd_config_imake* functions
  +  alsaconf
          alsactl: Move asound.state location to /var/lib/alsa
  +  alsaloop
          alsaloop: rework the ctl event handling routine
          alsaloop: Delay the restart a bit (to handle snd-aloop playback xruns better)
          alsaloop: Fix latency print
          alsaloop: fixes, added -W/--wake option
          alsaloop: add -U/--xrun to alsaloop.1 man page
          alsaloop: added xrun profiling support (-U,--xrun), added SIGUSR1 state dump
          alsaloop: add --pctl and --cctl options to man page
          alsaloop: add --pctl and --cctl options
          alsaloop: Fixes and added --workaround option
          alsaloop: Fix command-line parsing and pollfd initialization
          alsaloop: Add OSS mixer redirection support
          alsaloop: added resampling for unsupported soundcard rates
          alsaloop: fix resample argument parsing
          alsaloop: fix -a option and slave mode processing
          alsaloop: Fix thread handling
          alsaloop: Fix loopbacks pointer initialization and allocation, fix -T option
          Introduce alsaloop utility
  + alsamixer
          alsamixer: use cubic scale for volume bars
          alsamixer: increase step size for big control value ranges
          alsamixer: remove obsolete e-mail
          alsamixer: remove obsolete e-mail
  +  alsaucm
          alsaucm: fix command line arguments parsing
          ucm: added listcards command
          alsaucm: initial rewrite to use update API
          alsaucm: Report failure to set a device due to missing verb setup
          alsaucm: Add Use Case Manager utility
  +  amixer
          amixer: fix parsing of control ID name
  +  aplay/arecord
          aplay/arecord: term_c_lflag variable might be unitialized in some cases
          aplay: fix termio settings - return back old c_flag value on exit
          aplay/arecord: Added hardware pause support (press SPACE or Enter)

Changelog between 1.0.22 and 1.0.23 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.22_v1.0.23)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-utils
  +  Core
          Release v1.0.23
  +  ALSA Control (alsactl)
          alsactl: update debug prints in state.c
          alsactl: add more debug prints to state.c
          alsactl: improve -d to get warnings and store exitcode to runstate file
          alsactl: Fix return code
  +  ALSA RawMidi Utility (amidi)
          amidi: fix port listing
  +  Speaker Test
          speaker-test: add fflush(stdout) to write_loop
  +  aconnect
          aconnect -x: Do not update index after removal of connection.
  +  alsamixer
          alsamixer: handle out-of-range volume values
          alsamixer: fix division by zero
  +  amixer
          amixer: add support for TLV dB minmax types
          amixer: fix display of unreadable control elements
  +  aplay/arecord
          aplay -- update the man file
          aplay -- add features for audio surveilance
          aplay - add option --process-id-file
          aplay: Dump PCM state on xrun when verbose mode is active

Changelog between 1.0.21 and 1.0.22 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.21_v1.0.22)
(Reformated as ASCII text)
+++++++++++++++++++++++++++++++++++++++++++

* alsa-utils
  +  Core
          Release v1.0.22
  +  ALSA Control (alsactl)
          alsactl: fix error path code in init_parse.c
          alsactl: init - default - initialize also "Digital Input Source"
          alsactl init: Add CTL{do_search} and CTL{do_count} parsers
          alsactl init: use empty GOTOs in init/default file to increase readability
          alsactl: introduce CTL{write} to match directly written CTL values
          alsactl - Initialize Speaker volume to 0dB when Master is present
          alsactl init: Fix typo "(" -> "{" in Headphone default rule
  +  Speaker Test
          speaker-test: not all sample formats are supported - show only supported ones
          speaker-test: add -d (--debug) option to show PCM parameters
  +  aplay/arecord
          arecord: fix wrong chunk_size initialization when verbose and mmap flags are set
          aplay - Show available formats
Changelog between 1.0.20 and 1.0.21 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.20_v1.0.21)
(Reformated as ASCII text)
********************************************

* alsa-utils
  +  Core
          Release v1.0.21
          alsamixer: show channel names for multichannel control
  +  /include/Makefile.am
          alsamixer: show channel names for multichannel control
  +  ALSA Control (alsactl)
          alsactl init rules: fix Lenovo T61 initialization (Speaker Playback Switch
          alsactl: init - fix default configuration for ENS137
          alsactl: fixed Headphone Playback Volume setting in default rule
  +  Speaker Test
          speaker-test: only check byte order onc
          speaker-test: move existing endian macros up in the fil
          Remove dead/commented out cod
          Allow frequencies down to 30 H
          speaker-test: allow frequency to be floating poin
  +  alsamixer
          alsamixer: fix display of inactive volume ba
          alsamixer: rename attr to c
          alsamixer - Tricolorize volume bar
          alsamixer: update man pag
          alsamixer: fix text box clipping with multi-column character
          alsamixer - Fix uninitialized variable warnin
          alsamixer: show channel names for multichannel control
  +  aplaymidi/arecordmidi
          aplaymidi: reduce bandwidth for big SysEx message

Changelog between 1.0.19 and 1.0.20 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.19_v1.0.20)
(Reformated as ASCII text)
********************************************

* alsa-utils
  +  Core
    -Fix build with partially-installed alsa-lib
    -aplay/arecord: fix underrun/overrun time calculation for monotonic clock
    -Release v1.0.20
  +  ALSA Control (alsactl)
    -Use ANSI C functions
    -alsactl: init - modify default rule to better support some HDA codecs
    -Fix misc compile warnings in alsactl
    -alsactl - Add missing -I option
    -alsactl/init: Fix CTL{value} assigning - make it relevant to documentation
    -alsactl: init rules - fix HDA Conexact codec PCM initialization
    -alsactl: fix sysfsroot path and parser extensions
    -alsactl: changes in initialization files
    -alsactl: add ca0106 initialization file
    -alsactl: ca0106 initialization files - wrong exit
  +  Speaker Test
    -speaker-test.c - add readability comments to speaker channels
  +  alsaconf
    -alsaconf - prefer /etc/modprobe.d/sound/50-sound.conf
  +  alsamixer
    -ALSA: Added vi-like key bindings to alsamixer.
  +  aplay/arecord
    -aplay/arecord: fix underrun/overrun time calculation for monotonic clock
    -aplay/arecord: remove debug printfs introduced by previous patch
    -aplay/arecord: improve suspicious buffer detection and add --test-coef parameter

Changelog between 1.0.18 and 1.0.19 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.18_v1.0.19)
(Reformated as ASCII text)
********************************************

* alsa-utils
   Core
    -Add --disable-xmlto configure option
    -Release v1.0.19
  +  ALSA Control (alsactl)
    -Add --disable-xmlto configure option
    -Add -I option to alsactl
    -Remove some dead code (comparisons between 0 and unsigned integers).
    -Mark static the functions not used outside their unit.
    -Make some static tables and strings constants.
    -alsactl: Fix restore / init call behaviour when driver contains more controls
    -alsa-utils check if __USE_BSD is defined before compiling "BSD functions"
  +  ALSA RawMidi Utility (amidi)
    -Mark static the functions not used outside their unit.
    -Make some static tables and strings constants.
  +  Speaker Test
    -Move conditional inclusion of locale.h further down.
    -Remove some unused variables.
    -speaker-test: Fix floating-point exception bug
  +  alsaconf
    -alsaconf: add Slackware support
    -Create a special fd redirection for menu choice.
    -Nowadays Gentoo also uses update-modules, so update alsaconf.
  +  alsamixer
    -Make some static tables and strings constants.
  +  amixer
    -Mark static the functions not used outside their unit.
    -Make some static tables and strings constants.
  +  aplay/arecord
    -Fix wrong direction check in aplay/arecord --list-pcms
  +  aseqnet
    -aseqnet - Add $(INTLLIBS) to Makefile.am

Changelog between 1.0.17 and 1.0.18 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.17_v1.0.18)
(Reformated as ASCII text)
********************************************

* alsa-utils
  +  Core
    -alsactl - install initialization files
    -Release v1.0.18rc1
    -Release v1.0.18rc2
    -Remove unneeded files from EXTRA_DIST in root Makefile.am
    -Release v1.0.18rc3
    -Add --disable-alsaconf to configure script
    -Release v1.0.18
  +  ALSA Control (alsactl)
    -Initial 'alsactl init' implementation
    -alsactl init: added support for Lenovo T61
    -alsactl init: Changed support for Acer Travelmate 8100 (use subvendor and subdevice for matching)
    -alsactl init - Fix Lenovo T61 configuraton
    -alsactl - install initialization files
    -alsactl init configuration syntax changes
    -alsactl init - allow enum specification by name strings
    -alsactl init - add dB and percentual CTL{value} parsing for integer values
    -alsactl init - restore calls also init on failure
    -alsactl init - modified configuration for Acer Travelmate 8100
    -alsactl init - fixed enumeration string setting, update Lenovo T61 config (dB)
    -alsactl init - add ATTR{dBmin} and ATTR{dBmax}
    -alsactl init - CTL{values}, CTL{enums} and default "guess method" initialization
    -alsactl init - add default command to help config and fix packaging
    -alsactl - remove 'names' command, fix alsactl man page
    -alsactl: Allow card specification by device name (support for udev)
    -alsactl init - fixed EXTRA_DIST typo in alsactl/init subdirectory
    -alsactl init - fix memory leaks (valgrind helped)
    -alsactl.1 - explicitly notify about ALSA_CONFIG_PATH environment variable
    -Add missing files to be included in alsactl/Makefile.am
    -alsactl: Fix oops (when parsing card argument)
    -alsactl: Add -g,--ignore option to ignore 'No soundcards found' error
  +  Speaker Test
    -alsactl - install initialization files
  +  amixer
    -amixer - fixed TLV dBscale and added dBrange parsing
  +  aplay/arecord
    -aplay - show sample arrangement (mmap areas) in verbose more for debugging
    -aplay/arecord: add --test-position test
  +  iecset
    -iecset update for new consumer status channel bits
    -iecset - Add missing help text for -n option

Changelog between 1.0.16 and 1.0.17 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.16_v1.0.17)
(Reformated as ASCII text)
********************************************

* alsa-utils
  +  Core
    - Require alsa-lib 1.0.16
    - Add check of ncurses*-config
    - hgcompile -> gitcompile
    - Release v1.0.17rc1
    - Release v1.0.17rc2
    - Release v1.0.17
  +  ALSA Control (alsactl)
    - alsactl: simplify and fix item type detection
  +  Speaker Test
    - speaker-test.c - fix sine generator on big-endian archs
    - speaker-test.c - fix pink noise generator on big-endian archs
  +  alsaconf
    - alsaconf: use 'type -p', not which
  +  alsamixer
    - Add check of ncurses*-config
  +  aplay/arecord
    - aplay/arecord - Add support for IEEE float 32-bit WAV files
    - Support for playing WAV files with "extensible format" header using aplay.
    - aplay - Add stereo VU-meter support
    - aplay - Fix a compile warning
  +  aplaymidi/arecordmidi
    - fix poll timeout
  +  aseqdump
    - aseqdump: increase verbosity
    - fix poll timeout
    - aseqdump: flush output
  +  gitcompile
    - renamed hgcompile to gitcompile
  +  hgcompile
    - renamed hgcompile to gitcompile


Changelog between 1.0.15 and 1.0.16 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.15_v1.0.16)
(Reformated as ASCII text)
********************************************

* alsa-utils
  +  Core
    - alsactl - restore dB level
  +  ALSA Control (alsactl)
    - alsactl - Fix wrong restore
    - alsactl: skip inactive controls
    - alsactl - fix double entry of comment.tlv
    - alsactl - Set -F option as default
    - Make alsactl restore a bit more robust
    - alsactl - restore dB level
  +  Speaker Test
    - speaker-test - Fix number of periods to play
    - speaker-test - Put errors to stderr
    - Remove xfer_align
  +  alsamixer
    - alsamixer: add 8-channel support
  +  aplay/arecord
    - aplay - Reset non-blocking flag before snd_pcm_drain()
    - Remove sleep_min from aplay
    - Remove xfer_align
  +  aseqnet
    - Add missing inclusion of assert.h
  +  iecset
    - iecset: fix card index check
    - iecset - Add -n option

Changelog between 1.0.14 and 1.0.15 releases
(http://www.alsa-project.org/main/index.php/Changes_v1.0.14_v1.0.15)
(Reformated as ASCII text)
********************************************

* alsa-utils
  + ALSA Control (alsactl)
    - alsactl - Remove debug print
  + Speaker Test
    - Add missing library dependency
  + alsaconf
    - alsaconf - Don't produce hwcfg file for openSUSE 10.3
  + alsamixer
    - alsamixer - Handle capture enums separately
    - amixer/alsamixer - updated go scripts for debugging
  + amixer
    - amixer - Fix selection of enum items
    - Ignore errors with -s option
    - amixer - Allow to pass enum item string for cset, too
    - amixer/alsamixer - updated go scripts for debugging
  + aplay/arecord
    - Remove unneeded -lasound
    - aplay - Fix possible endless loop with SIGBART
    - aplay - Fix VU meter
    - aplay - Include missing time.h for time()
  + aplaymidi/arecordmidi
    - arecordmidi: mention SMF type in man page

Changelog between 1.0.14rc4 and 1.0.14 releases
(http://www.alsa-project.org/changes/v1-0-14rc4--v1-0-14.txt)
*******************************************

* alsa-utils
  + ALSA Control (alsactl)
    - alsactl - Error message when failing to open the config file
    - alsactl - adjust spaces in help texts
    - alsactl - More explicit open error message
    - alsactl - More explicit open error message (#2)
    - alsactl - Display help for names command
  + alsamixer
    - alsamixer - Fix duplicated appearance in All view mode
* alsa-firmware
  + Core
    - Add Dreamcast AICA firmware
  + AICA (Dreamcast) Firmware
    - Renamed aica/licence.txt -> aica/license.txt
    - Add Dreamcast AICA firmware
  + AudioScience ASIHPI Firmware
    - Update ASIHPI firmware 3.07.04

Changelog between 1.0.14rc2 and 1.0.14r4 releases
(http://www.alsa-project.org/changes/v1-0-14rc3--v1-0-14rc4.txt)
********************************************

* alsa-utils
  + Core
    - release 1.0.14rc2
  + ALSA RawMidi Utility (amidi)
    - amidi: open devices non-blockingly
  + amixer
    - amixer - show iec958 status bits in contents command

Changelog between 1.0.14rc1 and 1.0.14r2 releases
(http://www.alsa-project.org/changes/v1-0-14rc1--v1-0-14rc2.txt)
********************************************

* alsa-utils
  + aconnect
    - Fix aconnect man page

Changelog between 1.0.13 and 1.0.14rc1 releases
(http://www.alsa-project.org/changes/v1-0-13--v1-0-14rc1.txt)
********************************************

* alsa-utils
  + Core
    - utils: Make default sample files be in /usr/share/sounds/alsa
    - alsa-utils.spec.in - additions
  + ALSA Control (alsactl)
    - alsactl - return error state, fail when no configuration is found
  + Speaker Test
    - speaker-test: fix typos in manpage
  + alsaconf
    - alsaconf fix: cannot find the snd-powerpc module
    - alsaconf - rcalsasound script does not exists in some distros
  + alsamixer
    - alsamixer: cosmetic fix
  + amixer
    - Implement Playback/Capture enum.
    - amixer: sset - check if command is valid
    - amixer - remove beep on errors in arguments
  + aplay/arecord
    - Fix argument for snd_device_name_hint().
    - aplay: add fflush(stdout) for -vvv verbosity
    - fix for recent namehint API (use get_hint function)
    - aplay: namehint fix - use filter before printing device name
    - aplay/arecord -L command: process properly end-of-line characters
    - aplay/arecord: Remove -n commad (obsolete, undocumented)
    - aplay/arecord - use snd_device_name_hint() for -L command
    - aplay/arecord: filter direction for -L command
  + aplaymidi/arecordmidi
    - aplaymidi: handle big SysEx commands

Changelog between 1.0.12 and 1.0.13 releases
(http://www.alsa-project.org/changes/v1-0-12--v1-0-13.txt)
********************************************

* alsa-utils
  + ALSA Control (alsactl)
    - Restore user-defined TLV
  + alsaconf
    - Fix setup for SLES10/SLED10
    - Initialize volumes using dB in alsaconf
  + alsamixer
    - Show the mute dB state correctly
  + amixer
    - Add handling of dB to amixer
    - Add linear-volume handling in amixer

Changelog between 1.0.11 and 1.0.12 releases
(http://www.alsa-project.org/changes/v1-0-11--v1-0-12.txt)
********************************************

* alsa-utils
  + Core
    - amixer - added basic TLV support (read only) for 'amixer controls'
  + ALSA RawMidi Utility (amidi)
    - amidi: Fix device list
    - amidi: fix --list-devices
  + Speaker Test
    - Fix the default buffer size calculation in speaker-test
  + alsamixer
    - amixer - show dB values for simple mixer interface (which is default)
  + amixer
    - Fix print_dB() with a minus value
    - amixer - show dB values for simple mixer interface (which is default)
    - amixer - added basic TLV support (read only) for 'amixer controls'
  + aplay/arecord
    - Fix segfault in aplay when snd_pcm_name() == NULL
    - Use the right word in message of areacord
    - Don't call close() for the same fd twice in arecord
    - Fix misc bugs in arecord
    - Fix arecord to quit properly at max file size
    - Allow aplay/arecord to handle up to 2GB for WAV
    - Fix a compile warning in aplay.c
    - Fix endless loop of recording in arecord
  + aplaymidi/arecordmidi
    - aplaymidi: list only MIDI-capable ports


Changelog between 1.0.10 and 1.0.11 releases
(http://www.alsa-project.org/changes/v1-0-10--v1-0-11.txt)
********************************************

* alsa-utils
  + Core
    - Add WAV file playback support to speaker-test
    
      Add WAV file playback support to speaker-test.
      The support is still limited to S16_LE, and doesn't refer to csv file yet.
  + ALSA Control (alsactl)
    - Remove obsolete power command from alsactl
    
      Remove obsolete power command from alsactl.
  + Speaker Test
    - Improve buffer/period set up in speaker-test
    
      Improve buffer/period set up in speaker-test.
    
      - Don't ignore -b and -p options but use them if specified
      - Clean up and improvement of messy buffer/period setup codes
      - Add -P option for specifying number of periods explicitly
    - Fix missing commas
    
      Fixed missing commas in array elements (ALSA bug#1938).
    - Add --nloops option and fix manpage
    
      - Added --nloops option to specify the number of loops
      - Fixed man page of speaker-test
    - Fix a typo in speaker-test help text
    
      Fix a typo in speaker-test help text.  Updated ja.po, too.
    - Make speaker-test compatible with dmix by default.
    - Avoid unnecessary drain/restart in speaker-test
    
      Avoid unnecessary drain/restart in speaker-test when the buffer
      is enough small.
    - speaker-test - Fix missing i18n
    
      Add the gettext tags to newly added texts.
    - speaker-test: Fix version reporting.
    - Tentative fix for speaker-test WAV with 5 or more channels
    
      Fix the WAV file name for center/lfe.  Use the existing
      "Rear_Center.wav" for LFE as a workaround.
    - Add missing comma
    
      Add a missing comma in the last fix...
    - Fix compile on big-endian arch
    
      Fix compile on big-endian arch.
    - Remove loops after errors
    
      Don't retry after fatal errors.
    - Add WAV file playback support to speaker-test
    
      Add WAV file playback support to speaker-test.
      The support is still limited to S16_LE, and doesn't refer to csv file yet.
  + alsaconf
    - Fix a text in alsa-utils
    
      Fix a text in alsa-utils after proof-reading.
    - Minor clean up of bashism
    
      Minor clean up of bashism, replaced with normal test.
    - Fix PCI class and name extraction in alsaconf
    
      - Allow all PCI class 04xx, not only 040x
      - Fix the extraction of device name from lspci output
    
      ALSA bug#1935
    - Use amixer -s option
    
      Optimize to use amixer with -s option.
  + amixer
    - amixer - Add -s option
    
      - Add -s option to read from stdin the command sequentially.
      - Suppress unneeded warnings in sset.
  + aplay/arecord
    - Fix a typo in manpage
    
      Fix a typo in manpage of aplay.
    - Don't show invalid plug example in the error message of aplay
    
      Don't show invalid examples of usage with plug prefix
      in the error message of aplay/arecord.
    - alternative peak meter for aplay
      From: Dirk Jagdmann <doj@cubic.org>
    
      This patch adds an alternative peak meter for aplay/arecord which is
      enabled via three "-v" command line arguments. This new mode differs
      from the old in a larger meter, no linefeeds for every meter update and
      a static maximum peak (for 1s).
    - split interleaved files in arecord when reaching 2GB
      From: Dirk Jagdmann <doj@cubic.org>
    
      This patch will split files in chunks of aprox. 2GB in the interleaved
      recording mode of arecord. This is meant to overcome the 2GB filesize
      limit of .wav files, which is easily reached when recording multiple
      channels.
  + cvscompile
    - Add exec permission to cvscompile

Changelog between 1.0.10rc3 and 1.0.10 releases
(http://www.alsa-project.org/changes/v1-0-10rc3--v1-0-10.txt)
**************************************************

* alsa-utils
  + Core
    - Add largefile support
    - release 1.0.10
  + Speaker Test
    - Disable NLS support when --disable-nls is passed
  + aconnect
    - Disable NLS support when --disable-nls is passed
  + alsaconf
    - Add Sparc support in alsaconf
  + aplay/arecord
    - Disable NLS support when --disable-nls is passed
    - aplay/arecord - show the default settings
  + aseqnet
    - Disable NLS support when --disable-nls is passed


Changelog between 1.0.10rc1 and 1.0.10rc2 releases
(http://alsa-project.org/changes/v1-0-10rc1--v1-0-10rc2.txt)
***********************************************

* alsa-utils
  + Core
    - release 1.0.10rc2
  + ALSA Control (alsactl)
    - Fix / clean up man pages
    - Extend 'alsactl names' to show modem devices
  + ALSA RawMidi Utility (amidi)
    - Fix / clean up man pages
  + Speaker Test
    - speaker-test: Add support for testing FLOAT_LE format.
  + alsaconf
    - Allow separate build and source trees
    - Fix hwcfg file name by alsaconf
  + alsamixer
    - Fix / clean up man pages
    - Use strsignal()
    - Implement dB gain level display.
  + amixer
    - Fix / clean up man pages
    - Added more better error fault handling for sset toggle
    - Fix for more better error fault handling for sset toggle


Changelog between 1.0.9a and 1.0.10rc1 releases
(http://alsa-project.org/changes/v1-0-9b--v1-0-10rc1.txt)
***********************************************

* alsa-utils
  + Core
    - Summary: i18nize some programs
      i18nize some programs with gettext.
    - Summary: update build tools.
      It seems that running ./cvscompile changes all these files due to
      an updates. So, sink CVS with build tools.
    - Summary: fix installation instructions
      Add the required "gettextize" call to the CVS compilation instructions.
    - Summary: fix handling of po/Makefile.in
      gettextize 0.14.1 adds po/Makefile.in to the first line of AC_OUPUT.
      The duplicate in the next line then upsets autoheader.
      This patch removes the potentially duplicate "po/Makefile.in" so that
      it's safe for gettextize to add it again.
    - Summary: release 1.0.10rc1
    - Summary: Fix compilation
      - Revert gettext version to older one
      - Added po/Makefile.in again
    - Summary: Fix autoreconf
      Fixed the package to be autoreconf-able.
  + /include/Makefile.am
    - Summary: Add missing header files
      Added missing header files to Makefile.am.
  + ALSA RawMidi Utility (amidi)
    - Summary: Output help messages to stdout
      Output help messages and lists to stdout instead of stderr.
  + Speaker Test
    - Summary: i18nize some programs
      i18nize some programs with gettext.
    - Summary: Correct buffer size choosing.
  + aconnect
    - Summary: Fix typos in man pages
      Fix typos in man pages (bug #1024)
    - Summary: i18nize some programs
      i18nize some programs with gettext.
    - Summary: Output help messages to stdout
      Output help messages and lists to stdout instead of stderr.
  + alsaconf
    - Summary: Add Russian translation
      Add Russian translation for alsaconf, taken from BTS #1130.
    - Summary: Two modporbe calls lack path
      All but two calls to modprobe in alsaconf call it with the full path.
      For consistency the remaining two calls should also use the full path.
    - Summary: fixed detection of ISAPnP cards using 2.6 sysfs
    - Summary: Support hwcfg-* set up
      Added /etc/sysconfig/hardware/hwcfg-* set up for the recent suse
      versions.
    - Summary: added -R,--resources option and improved resource checking
      using sysfs
      - added the -R,--resource option
      - the check_dma_avail() and check_irq_avail() procedures now checks also
        active resources from sysfs & PnP subsystem to avoid collisions
    - Summary: alsaconf - add support for PnP BIOS devices
      This patch adds the support for PnP BIOS devices.
    - Summary: Removed debug print for awk
  + alsamixer
    - Summary: Fix typos in man pages
      Fix typos in man pages (bug #1024)
    - Summary: Fix unexpected abort of alsamixer
      Fixed unexpected abort of alsamixer when no playback or capture elements
      are available.  Also fixed the wrong use of temporary array in
      displaying item name.
    - Summary: Fix a wrong display in the last patch
      Fixed a wrong item display in the last patch.
    - Summary: Added support for abstraction selection
      - (basic abst might be the default someday)
    - Summary: initial debug script
    - Summary: Output help messages to stdout
      Output help messages and lists to stdout instead of stderr.
  + amixer
    - Set the device name for smixer_options
    - Summary: amixer - useful script for debugging
    - Summary: Add enum control support to sget/sset
      Added the enum control support to amixer sget/sset.
  + aplay/arecord
    - Summary: i18nize some programs
      i18nize some programs with gettext.
    - Summary: Output help messages to stdout
      Output help messages and lists to stdout instead of stderr.
  + aseqdump
    - Summary: i18nize some programs
      i18nize some programs with gettext.
    - Summary: aseqdump - remove fishy comment
      Remove the fishy comment because it isn't needed anymore after the tuna
      has been accidentally removed.
  + aseqnet
    - Summary: i18nize some programs
      i18nize some programs with gettext.
  + cvscompile
    - Summary: Add gettextize
      Added gettextize to process po files correctly.
    - Summary: handle better the getexize dependency
    - Summary: more cvscompile cleanups (m4/Makefile.am)
    - Summary: Create m4 directory
      Create m4 directory (which was removed from cvs repo)
    - Summary: Fix autoreconf
      Fixed the package to be autoreconf-able.


Changelog between 1.0.9 and 1.0.9a releases
(http://alsa-project.org/changes/v1-0-9--v1-0-9a.txt)
*******************************************

* alsa-utils
  + Core
    - release 1.0.9a
  + alsamixer
    - Comment out a section that causes an assert in alsamixer, until
      this section of code works.
    - Fix crash with enum controls

Changelog between 1.0.8 and 1.0.9 releases
(http://alsa-project.org/changes/v1-0-8--v1-0-9.txt)
******************************************

* alsa-utils
  + Core
    - move event dumping from arecordmidi to aseqdump
    - release: 1.0.9rc1
    - release: 1.0.9rc2
    - Install sound samples to correct places.
    - release: 1.0.9rc3
    - alsa-lib 1.0.9 is required now
    - release: 1.0.9rc4
    - release: 1.0.9rc4a
    - release: 1.0.9
  + /seq/Makefile.am
    - move event dumping from arecordmidi to aseqdump
  + ALSA Control (alsactl)
    - return error code on faillure
    - Fix exit code
    - split source per command and added command 'names'
    - fix name of hw sequencer definition
    - alsactl - probe rawmidi device for rawmidi definitions
    - alsactl - add names for unique rawmidi subdevices
    - Ignore -ENOTTY error
    - Fix --force option
    - Add alsactl.h
  + ALSA RawMidi Utility (amidi)
    - allow --send-hex data without quotes
    - clarify options in man page
    - fix buffer length calculation
    - use non-breaking hyphens in man page
    - fix amidi error handling
    - detect attempts to play .mid files with amidi
  + Speaker Test
    - Update to speaker-tools 0.0.7
    - adopt readme changes in manpage
    - Minor updates. No functionallity changes.
    - Implement Pink noise output.
    - Add sound samples.
    - Install sound samples to correct places.
    - Implement order for 8-channel sound, arranged in 7.1 mode.
    - Fix speaker-test with -FS32_LE format.
    - Don't use max volume
    - Add .cvsignore
  + aconnect
    - Fix typo
  + alsaconf
    - Fix make without NLS
    - Sort options in alphabetic order
    - Fix exit code
    - Use -q option with grep
    - Fix typo in alsaconf "modinfo" option
    - Fix check of fedora and redhat distributions
    - Change the Debian configuration file name
    - Add alsaconf french man page
    - Adjust Front volume as default
    - fix typo
    - Fix manpage installation
  + alsamixer
    - Fix compile warnings
    - Show other view names
    - Fix typo
    - Improve display of long text for enums.
    - Fix segfault with no-capture devices
  + amixer
    - exits with status 0 after -h option
    - Fix exit status
    - amixer no-range-checking option
    - Added -a,--abstract switch for upcoming abstract mixer API
    - Fixed basic astraction selection for simple mixer API
    - Fix compile warnings
  + aplay/arecord
    - Added -n (--list-devnames) command
  + aplaymidi/arecordmidi
    - move event dumping from arecordmidi to aseqdump
    - Remove unused variable
  + aseqdump
    - move event dumping from arecordmidi to aseqdump
  + iecset
    - Fix 32kHz sample rates

(http://music.columbia.edu/pipermail/linux-audio-announce/2005-January/000522.html)
1.0.8
-----

* alsa-utils
  + Core
    - release: 1.0.8-rc1
    - release: 1.0.8rc1
    - i18nize alsaconf
    - Move m4 to the tail of SUBDIRS
    - Require alsa-lib 1.0.8
    - release: 1.0.8rc2
    - release: 1.0.8
  + ALSA Control (alsactl)
    - Support user-defined controls
    - Fix compilation
  + Speaker Test
    - Add man page of speaker-test
  + alsaconf
    - Start aplay/arecord in non-blocking mode
    - i18nize alsaconf
    - Misc clean up
    - Fix installation
    - Fix installation
  + alsamixer
    - Change the view toggle behavior
    - Assign alternative keys for function keys
    - Reinitialize the size calculation at view change
    - Add -V option
    - More descriptions about mixer views and view modes
    - Usability improvement
    - fix crashes when selecting an empty view
    - Remove number key assignment
    - Support quick volume change
  + aplay/arecord
    - Fix VU meter

(http://music.columbia.edu/pipermail/linux-audio-announce/2004-November/000484.html)
1.0.7
-----

* alsa-utils
  - Fix hyphens in man pages
  - aplay
    - don't parse -X option because such an option doesn't exist
    - allow argument for --sleep-min option
    - fix handling of .voc magic string
    - fix handling of .voc files on big-endian machines
    - remove superfluous "size" parameter from check_wavefile_space macro
    - reallocate buffer only if needed in check_wavefile_space
    - fix playback of >2GB .wav files
    - skip over padding bytes in .wav files
    - fix memory leak when playing .voc silence blocks
    - fix file length when recording >2GB .wav files
    - fix recording of >4GB files
  - alsamixer
    - display 2 different views of the mixer controls (Playback, Capture)
  - alsaconf
    - some fixes
    - fixed long options
    - Now -L option requires the logfile argument
    - corrected man page

(http://music.columbia.edu/pipermail/linux-audio-announce/2004-August/000435.html)
1.0.6a
------

* alsa-utils
  - aplay
    - Show warning if the format is changed due to the file type.
      (e.g. WAV yields little-endian)


(http://music.columbia.edu/pipermail/linux-audio-announce/2004-May/000396.html)
1.0.5
-----

* alsa-utils
   - arecordmidi enhancements by Pedro Lopez-Cabanillas
   - arecord fix (timelimit)
   - added speaker-test utility

